
Robotics Service Bus - Enhancement #298
Adapt configuration mechanism for unified files across langauges
05/16/2011 02:07 PM - J. Wienke

Status: Resolved Start date: 05/16/2011
Priority: Urgent Due date:
Assignee: J. Moringen % Done: 100%
Category: C++ Estimated time: 1.00 hour
Target version: 0.2
Description

    -  Remove types from file, always string parameter

Related issues:
Blocks Robotics Service Bus - Tasks # 196: Test for consistent option file pa... Resolved 02/17/2011

Associated revisions
Revision e6347c24 - 05/16/2011 04:30 PM - J. Moringen
Removed type information/parsing form configuration files
fixes #298
    -  examples/rsb.conf: removed type information form option values
    -  src/rsb/ParticipantConfig.cpp: do no use parseTypedValue; use getAs

  instead of get for non-string values
    -  src/rsb/transport/spread/InConnector.cpp: use getAs instead of get

  for non-string values
    -  src/rsb/transport/spread/OutConnector.cpp: likewise
    -  test/rsb.conf-for-smoke-test: removed type information form option

  values
    -  test/rsb/ParticipantConfigTest.cpp: store spread port as string

  option
    -  test/rsb/UserLevelTest.cpp: likewise

History
#1 - 05/16/2011 02:33 PM - J. Wienke
- Target version set to 0.2

#2 - 05/16/2011 03:05 PM - J. Moringen
- Status changed from New to In Progress

#3 - 05/16/2011 04:30 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r843.
